<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use App\User;
use App\Traits\NextKey;

class Oauth extends Model
{
	use NextKey;
	const RECORD_ID = 'oauth';
	public $incrementing = FALSE;

	protected $table = 'ab_oauth';
	public $timestamps = FALSE;

	protected $fillable = ['name','active'];

	public function accounts()
	{
		return $this->hasMany(AccountOauth::class);
	}
}